Add functions to list of exported functions.

Additionally export the following fuctions (to make trab_config build again): 
 - simple_strtol()
 - strcmp()

Also bump the ABI version to reflect this change

Signed-off-by: Martin Krause <martin.krause@tqs.de>

---
commit 987855ace6ed2280659816d53537a290c6a05d1b
tree a48562fe4a20f59a443b3e1a37d33850dfec2a85
parent f8308d7c20cc15ad6aa7facd176ee439eca14bd0
author Martin Krause <martin.krause@tqs.de> Tue, 12 Dec 2006 14:26:01 +0100
committer Martin Krause <martin.krause@tqs.de> Tue, 12 Dec 2006 14:26:01 +0100

 board/trab/Makefile |    1 -
 common/exports.c    |    2 ++
 include/_exports.h  |    2 ++
 include/exports.h   |    4 +++-
 4 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/board/trab/Makefile b/board/trab/Makefile
index 868ca42..fbe1c36 100644
--- a/board/trab/Makefile
+++ b/board/trab/Makefile
@@ -50,7 +50,6 @@ all:	$(LIB) $(obj)trab_fkt.srec $(obj)tr
 $(obj)trab_fkt.srec:	$(OBJS_FKT) $(LIB)
 	$(LD) -g -Ttext $(LOAD_ADDR) -o $(<:.o=) -e trab_fkt $^ $(LIB) \
 		-L$(obj)../../examples -lstubs \
-		-L$(obj)../../lib_generic -lgeneric \
 		-L$(gcclibdir) -lgcc
 	$(OBJCOPY) -O srec $(<:.o=) $@
 
diff --git a/common/exports.c b/common/exports.c
index 0cb4396..819a7d7 100644
--- a/common/exports.c
+++ b/common/exports.c
@@ -28,6 +28,8 @@ void jumptable_init (void)
 	gd->jt[XF_get_timer] = (void *) get_timer;
 	gd->jt[XF_simple_strtoul] = (void *) simple_strtoul;
 	gd->jt[XF_udelay] = (void *) udelay;
+	gd->jt[XF_simple_strtol] = (void *) simple_strtol;
+	gd->jt[XF_strcmp] = (void *) strcmp;
 #if defined(CONFIG_I386) || defined(CONFIG_PPC)
 	gd->jt[XF_install_hdlr] = (void *) irq_install_handler;
 	gd->jt[XF_free_hdlr] = (void *) irq_free_handler;
diff --git a/include/_exports.h b/include/_exports.h
index 2b8ec3d..c69bfc6 100644
--- a/include/_exports.h
+++ b/include/_exports.h
@@ -15,6 +15,8 @@ EXPORT_FUNC(do_reset)
 EXPORT_FUNC(getenv)
 EXPORT_FUNC(setenv)
 EXPORT_FUNC(simple_strtoul)
+EXPORT_FUNC(simple_strtol)
+EXPORT_FUNC(strcmp)
 #if (CONFIG_COMMANDS & CFG_CMD_I2C)
 EXPORT_FUNC(i2c_write)
 EXPORT_FUNC(i2c_read)
diff --git a/include/exports.h b/include/exports.h
index 8f7f617..ebda107 100644
--- a/include/exports.h
+++ b/include/exports.h
@@ -23,6 +23,8 @@ void do_reset (void);
 unsigned long simple_strtoul(const char *cp,char **endp,unsigned int base);
 char *getenv (char *name);
 void setenv (char *varname, char *varvalue);
+long simple_strtol(const char *cp,char **endp,unsigned int base);
+int strcmp(const char * cs,const char * ct);
 #if (CONFIG_COMMANDS & CFG_CMD_I2C)
 int i2c_write (uchar, uint, int , uchar* , int);
 int i2c_read (uchar, uint, int , uchar* , int);
@@ -40,7 +42,7 @@ #undef EXPORT_FUNC
 	XF_MAX
 };
 
-#define XF_VERSION	3
+#define XF_VERSION	4
 
 #if defined(CONFIG_I386)
 extern gd_t *global_data;
